SystemOrganization addCategory: #'SqueakIt-Experiments-RJG'!
SystemOrganization addCategory: #'SqueakIt-Experiments-RJG-Tests'!
SystemOrganization addCategory: #SqueakIt!

WAComponent subclass: #RootComponent
	instanceVariableNames: 'title'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt-Experiments-RJG'!

!RootComponent class methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/29/2013 17:07'!
canBeRoot 
	^true! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:11'!
initialize 
	super initialize.
	title := 'Hello Internet!!'! !

!RootComponent methodsFor: 'rendering' stamp: 'RonnieGarduno 1/29/2013 17:41'!
renderContentOn: html
	html heading: title.
	html text: 'This will one day be a mighty website.'.
	html break.
	html text: html class.
	html break.! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/28/2013 17:38'!
title
	^ title! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/28/2013 17:38'!
title: anObject
	title := anObject! !

WAComponent subclass: #SIPopupComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt'!

!SIPopupComponent methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/31/2013 18:58'!
renderContentOn: html
	| id |
	html popupAnchor 
		extent: 350 @ 350;
		callback: [self answer];
		with: 'Popup'.! !

!SIPopupComponent methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/31/2013 18:46'!
vegetables
	^ #('Alfalfa' 'Clover' 'Peas' 'Beans' 'Lentils' 'Lupins' 'Peanuts')! !

WAComponent subclass: #SIRootComponent
	instanceVariableNames: 'popupComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt'!

!SIRootComponent class methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/31/2013 18:20'!
canBeRoot 
	^true! !

!SIRootComponent class methodsFor: 'as yet unclassified' stamp: 'Aubin 2/1/2013 18:31'!
initialize

	WAAdmin register: self asApplicationAt: 'SqueakIt'! !

!SIRootComponent methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/31/2013 18:38'!
initialize 
	super initialize.
	self
		popupComponent: SIPopupComponent new.! !

!SIRootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/31/2013 18:37'!
popupComponent
	^ popupComponent! !

!SIRootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/31/2013 18:37'!
popupComponent: anObject
	popupComponent := anObject! !

!SIRootComponent methodsFor: 'rendering' stamp: 'RonnieGarduno 1/31/2013 18:39'!
renderContentOn: html
	html heading: 'Hello world!!'.
	html text: 'This will be our website.'.
	html div 
		class: 'popup';
		with: popupComponent.! !

TestCase subclass: #RootComponentTest
	instanceVariableNames: 'module html'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt-Experiments-RJG-Tests'!

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
html
	^ html! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
html: anObject
	html := anObject! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
module
	^ module! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
module: anObject
	module := anObject! !

!RootComponentTest methodsFor: 'running' stamp: 'RonnieGarduno 1/29/2013 17:42'!
setUp 
	module := RootComponent new.
	html := WAHtmlCanvas new! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 17:33'!
testHasTitle
	self shouldnt: [module title] raise: Error.
	self module renderContentOn: html.
"	self assert: html notNil"! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 15:45'!
testSetTitleChanges
	module title: 'testing'.
	self assert: module title = 'testing'.
	module title: 'new'.
	self assert: (module title = 'testing') not.
	self assert: module title = 'new'! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 15:43'!
testSetTitleSets
	module title: 'testing'.
	self assert: module title = 'testing'! !
SIRootComponent initialize!
